from ez_setup import use_setuptools
use_setuptools(version='0.6c9')
from setuptools import setup, find_packages

setup(
	zip_safe = False,
	setup_requires = ['setuptools_hg', 'bbfreeze', 'sphinx'],
	name='acclaim',
	version='0.1.1',
	author='Glenn Johnson',
	author_email='glennpj@gmail.com',
	url='http://bitbucket.org/glennpj/acclaim/overview',
	description='Investment management program.',
	long_description="""
	ACCLAIM
	(Adjusted Core Cash Level Automatic Investment Management)
	is a program derived from Robert Lichello's AIM method.
	It attempts to be more responsive to market conditions and obtain
	a more controlled cash-to-equity ratio compared to conventional AIM.
	""",
	platforms=['Linux', 'Windows'],
	license='Apache-2.0',
	packages=find_packages(),
	include_package_data = True,
	#package_data = {'acclaim': ['help/manual.htb']},
	package_data = {
	    'acclaim': [
		'html/*.*',
		'html/_static/*.*',
		'html/_sources/*.*',
		'html/_images/*.*',
		'html/_images/math/*.*',
		'htmlhelp/*.*',
		'htmlhelp/_static/*.*',
		'htmlhelp/_images/*.*',
		'htmlhelp/_images/math/*.*',
		], 
	    },
	entry_points = {
	    'gui_scripts': [
		'acclaim = acclaim.gui:main'
		]
	    },
	)
